Package weka.classifiers.rules

# Class JRip.NominalAntd

java.lang.Object
weka.classifiers.rules.JRip.Antd
weka.classifiers.rules.JRip.NominalAntd

All Implemented Interfaces:
  `Serializable`, `Copyable`, `RevisionHandler`, `WeightedInstancesHandler`

Enclosing class:
  `JRip`

public class JRip.NominalAntd extends JRip.Antd
The antecedent with nominal attribute

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NominalAntd(Attribute a)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`Object`
`copy()`
Implements Copyable
`boolean`
`covers(Instance inst)`
Whether the instance is covered by this antecedent
`String`
`getRevision()`
Returns the revision string.
`Instances[]`
`splitData(Instances data, double defAcRt, double cl)`
Implements the splitData function.
`String`
`toString()`
Prints this antecedent

### Methods inherited from class weka.classifiers.rules.JRip.Antd

`getAccu, getAccuRate, getAttr, getAttrValue, getCover, getMaxInfoGain`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NominalAntd

public NominalAntd(Attribute a)
Constructor

## Method Details

### copy

public Object copy()
Implements Copyable

Specified by:
  `copy` in interface `Copyable`
Specified by:
  `copy` in class `JRip.Antd`
Returns:
  a copy of this object

### splitData

public Instances[] splitData(Instances data, double defAcRt, double cl)
Implements the splitData function. This procedure is to split the data into bags according to the nominal attribute value The infoGain for each bag is also calculated.

Specified by:
  `splitData` in class `JRip.Antd`
Parameters:
  `data` - the data to be split
  `defAcRt` - the default accuracy rate for data
  `cl` - the class label to be predicted
Returns:
  the array of data after split

### covers

public boolean covers(Instance inst)
Whether the instance is covered by this antecedent

Specified by:
  `covers` in class `JRip.Antd`
Parameters:
  `inst` - the instance in question
Returns:
  the boolean value indicating whether the instance is covered by this antecedent

### toString

public String toString()
Prints this antecedent

Specified by:
  `toString` in class `JRip.Antd`
Returns:
  a textual description of this antecedent

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `JRip.Antd`
Returns:
  the revision